---
search:
  tags:
    - Smart Listings
    - DELETE
seo:
  description: >-
    Deletes a smart listing by its ID. Reference for the DELETE
    /api/v1/{team_slug}/{app_slug}/smart-listings/{listing_id} endpoint in the
    Management API.
sidebar:
  label: Delete a smart listing
  badge: DELETE
title: Delete a smart listing
type: openapi-operation
---
Deletes a smart listing by its ID

`DELETE /api/v1/{team_slug}/{app_slug}/smart-listings/{listing_id}`

**Request body** (`application/json`, required)

smart-listing configuration

- `rules` (internal_pkg_webserver_v1.ListingRuleRequest[], required)
- `slug` (string, required)

Request body example:

```json
{
  "rules": [
    {
      "operator": "equal",
      "target": "stock",
      "target_id": "string",
      "value_float": 0,
      "value_list": [
        "string"
      ],
      "value_string": "string"
    }
  ],
  "slug": "string"
}
```

**Responses**

- `200` — smart-listing deleted successfully
- `400` — Invalid request (e.g. bad UUID, validation error)
- `401` — Unauthorized access
- `404` — Could not find smart-listing to delete
- `500` — Internal server error

Response example, 200:

```json
{
  "data": "string",
  "details": [
    "string"
  ],
  "success": true
}
```
